POST
/issuer/calculationsCalcular totales e IGV
Send request
Use the documented inputs to call this endpoint directly.
API serverbase URL
Bearer tokenBearerAuthoptional
Stored only in this browser for the BearerAuth security scheme and reused on every API page in this group.
Request body
application/jsonrequiredchargesarray<>optional
discountAmountnumberoptional
discountPercentnumberoptional
igvRateenumoptional
Tasa del IGV para las líneas gravadas (10): 18 general o 10.5 para restaurantes y hoteles MYPE.
Values: 18 · 10.5
itemsarray<>required
perceptionoptional
prepaymentsarray<>optional
Responses
200application/json
Correcto.
{
"items": [
{
"base": 1.5,
"code": "string",
"description": "string",
"quantity": 1.5,
"tax": 1.5,
"taxCode": "string",
"total": 1.5,
"unitCode": "string",
"unitPrice": 1.5
}
],
"totals": {
"base": 1.5,
"charges": 1.5,
"icbper": 1.5,
"isc": 1.5,
"perception": 1.5,
"prepayments": 1.5,
"tax": 1.5,
"total": 1.5
}
}itemsarray<>required
totalsrequired
400application/json
VALIDATION_ERROR: El cuerpo, los parámetros o una regla del comprobante no son válidos. fields indica el campo.
{
"error": {
"code": "string",
"fields": {},
"message": "string",
"requestId": "",
"retryable": true
}
}errorrequired
401application/json
UNAUTHENTICATED: Falta la clave API o no es válida.
{
"error": {
"code": "string",
"fields": {},
"message": "string",
"requestId": "",
"retryable": true
}
}errorrequired
402application/json
TRIAL_EXPIRED: La prueba gratuita venció.
TRIAL_EXHAUSTED: La prueba gratuita consumió sus operaciones.
{
"error": {
"code": "string",
"fields": {},
"message": "string",
"requestId": "",
"retryable": true
}
}errorrequired
403application/json
WORKSPACE_SUSPENDED: El workspace está suspendido.
{
"error": {
"code": "string",
"fields": {},
"message": "string",
"requestId": "",
"retryable": true
}
}errorrequired
429application/json
RATE_LIMITED: Se superó el límite de peticiones. Respeta el header Retry-After.
{
"error": {
"code": "string",
"fields": {},
"message": "string",
"requestId": "",
"retryable": true
}
}errorrequired
500application/json
INTERNAL_ERROR: Error interno. Reintenta y comparte el requestId con soporte.
{
"error": {
"code": "string",
"fields": {},
"message": "string",
"requestId": "",
"retryable": true
}
}errorrequired
Powered by heyo
